

Summary:		Lightweight and desktop independent task manager
Summary(de):		Standard Task Manager und System Monitor von LXDE
Name:     		lxtask
Version:		0.1.8
Release:		%mkrel 1
License:		GPLv2+
Group:			Graphical desktop/LXDE
Source0: 		%{name}-%{version}.tar.xz
Source1:		utilities-system-monitor-16.png
Source2:		utilities-system-monitor-32.png
Source3:		utilities-system-monitor-48.png
URL:			http://lxde.sourceforge.net/
BuildRoot:		%{_tmppath}/%{name}-%{version}-buildroot
Requires:       	glibc >= 2.12.1
Requires:       	libstdc++6 >= 4.5.2
BuildRequires:		gtk+2-devel 
BuildRequires:		desktop-file-utils
BuildRequires:		libpthread-stubs
BuildRequires:		intltool
Obsoletes:		%{name} < %version


%description
Lightweight and desktop independent task manager.

%description -l de
LXTask ist der Standard Task Manager und System Monitor von LXDE.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=LXTask Manager
Name[fr]=Gestionnaire de tâches LXDE
Name[fi]=Tehtävienhallinta
Name[de]=LXTask Manager
Name[sv]=LXTask Manager
Comment=Manage running processes
Comment[fr]=Gère les processus en fonctionnement
Comment[fi]=Hallitse käynnissä olevia prosesseja
Comment[de]=Verwalten/Anzeigen von laufenden Prozessen
Comment[sv]=Hantera aktiva processer
GenericName=Process manager
GenericName[fi]=Prosessien käsittelijä
GenericName[de]=Prozesse Verwalter
GenericName[sv]=Processhanterare
Exec=lxtask
Icon=utilities-system-monitor
Terminal=false
StartupNotify=true
Type=Application
Categories=GTK;System;Monitor;X-MandrivaLinux-System-Monitoring;
EOF

# icons
mkdir -p $RPM_BUILD_ROOT{%_liconsdir,%_iconsdir,%_miconsdir}
install -m 644 %SOURCE1 $RPM_BUILD_ROOT%{_miconsdir}/utilities-system-monitor.png
install -m 644 %SOURCE2 $RPM_BUILD_ROOT%{_iconsdir}/utilities-system-monitor.png
install -m 644 %SOURCE3 $RPM_BUILD_ROOT%{_liconsdir}/utilities-system-monitor.png

%clean
rm -rf $RPM_BUILD_ROOT

%post  
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-, root, root)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_iconsdir}/large/*.png
%{_iconsdir}/mini/*.png
%{_iconsdir}/*.png
%{_mandir}/man1/%{name}.1.bz2

%changelog
* Fri Mar 31 2017 ghostbunny <ghostbunny at gmx dot de> 0.1.8-1pclos2017
- 0.1.8

* Thu Feb 25 2016 ghostbunny <ghostbunny at gmx dot de> 0.1.7-1pclos2016
- 0.1.7

* Tue Oct 21 2014 ghostbunny <ghostbunny at gmx dot de> 0.1.6-1pclos2014
- 0.1.6

* Tue Sep 16 2014 ghostbunny <ghostbunny at gmx dot de> 0.1.5-1pclos2014
- 0.1.5
- add missing BR intltool libpthread-stubs
- fix double listed files in files section

* Thu Jan 23 2014 daniel <meisssw01 at gmail.com> 0.1.4-1free2014
- upstream tarball

* Sun Jun 26 2011 leiche <meisssw01 at aol.gmail> 0.1.3-2leiche2011
- add requires for new glibc
- add multiple languages in desktop file

* Wed Oct 06 2010 Texstar <texstar at gmail.com> 0.1.3-1pclos2010
- 0.1.3

* Sat Oct 03 2009 Neal <nealbrks0@gmail.com> 0.1.1-3pclos2010
- gcc updated

* Sun Aug 08 2009 Texstar <texstar@gmail.com> 0.1.1-2pclos2009
- fix desktop file

* Mon Aug 03 2009 Anikan <mamifer0 at msn dot com> 0.1.1-1pclos2009
- new version

* Sat May 20 2009 pcserver <pcserver@hushmail.com> 0.1-4pclos2009
- rebuild

* Sat May 02 2009 pcserver <pcserver@hushmail.com> 0.1-3pclos2009
- fix synaptic group

* Sun Mar 29 2009 Texstar <texstar@gmail.com> 0.1-2pclos2007
- rebuild

* Mon Apr 28 2008 KDulcimer <kdulcimer@gmail.com> 0.1-1tinyme2008
- Initial build

